@font-face {
  font-family: Lato;
  src: url(./fonts/Lato/Lato-Regular.ttf);
}

body {
  margin: 0;
}

#text_bubble {
  background: white;
  border-radius: 10px;
  text-align: left;
  position: fixed;
  bottom: 200px;
  right: 235px;
  font-size: 30px;
  padding: 20px;
  font-family: monospace;
  z-index: 1000;
  width: 500px;
  display: none;
}

#text_bubble.left {
  left: 235px;
  right: inherit;
}

.speech-bubble {
  background: #efefef;
  border-radius: 4px;
  font-size: 1.2rem;
  line-height: 1.3;
  margin: 0 auto 40px;
  max-width: 400px;
  padding: 15px;
  position: relative;
  box-shadow: 0px 0px 2px rgb(0 0 0 / 90%);
}

.speech-bubble.right::after {
  border-left: 20px solid transparent;
  border-top: 20px solid white;
  bottom: -20px;
  content: "";
  position: absolute;
  right: 20px;
  filter: drop-shadow(0.04rem 0.07rem 0.05rem rgba(0, 0, 0, 0.7));
}

.speech-bubble.left::after {
  border-right: 20px solid transparent;
  border-top: 20px solid white;
  bottom: -20px;
  content: "";
  position: absolute;
  left: 20px;
  filter: drop-shadow(0.04rem 0.07rem 0.05rem rgba(0, 0, 0, 0.7));
}

#alert_box {
  position: absolute;
  bottom: 440px;
  right: 40px;
  background: rgba(20, 40, 70, 0.9);
  color: white;
  font-size: 33px;
  font-family: Lato, sans-serif;
  padding: 20px;
  border-radius: 5px;
  text-align: center;
  animation: alertAnim 2s;
  animation-iteration-count: 1;
}

@keyframes alertAnim {
  0% {
    transform: scale(0);
    opacity: 0;
  }
  50% {
    transform: scale(1.2);
    opacity: 1;
  }
  100% {
    transform: scale(1);
  }
}

#alert_box.left {
  right: initial;
  left: 40px;
}

.alert_username,
.alert_message_bit_amount {
  color: rgb(154 255 167);
  font-size: 40px;
}

span.alert_message_text,
.alert_message_emote_name {
  font-size: 30px;
  margin-right: 10px;
}

.alert_username,
.alert_message_emote_name {
  margin-right: 10px;
}

/* Level */

.level_progress_bar_container {
  position: absolute;
  bottom: 360px;
  animation: alertAnim 1s;
  animation-iteration-count: 1;
  font-family: "Lato";
  padding: 20px;
  background: rgba(20, 40, 70, 0.9);
  border-radius: 5px;
  width: 240px;
  height: 25px;
  display: none;
}

.level_progress_bar_container.right {
  right: 40px;
}

.level_progress_bar_container.left {
  left: 40px;
}

.level_bar_container {
  display: block;
  width: 200px;
  left: 31px;
  top: 10px;
  position: absolute;
}

.level_progress_bar_level_text_container {
    /* flex-shrink: 1; */
    background: #e0a819;
    /* padding: 5px 10px; */
    border-radius: 1000px;
    color: white;
    /* margin-right: -15px; */
    top: -12px;
    left: -10px;
    position: relative;
    z-index: 1;
    border: 3px solid;
    width: 40px;
    height: 40px;
    text-align: center;
}

.level_progress_bar {
  background: rgb(255 255 255);
  width: 100%;
  height: 24px;
  border-radius: 1000px;
  position: absolute;
  top: 10px;
  left: 5px;
}

.level_progress_bar_fill {
  background: #e0a819;
  height: 24px;
  position: absolute;
  top: 10px;
  left: 5px;
  border-radius: 1000px;
  transition: 2s;
}

.level_progress_bar_info {
  font-size: 14px;
  text-align: left;
  top: -21px;
  position: relative;
  left: 30px;
  font-style: italic;
  color: white;
}

.level_progress_bar_level_text {
  position: relative;
  top: 5px;
  left: 0;
  margin: 0 auto;
  text-align: center;
  width: 100%;
  font-size: 20px;
}

.gift_icon_container {
  position: relative;
  z-index: 2;
  right: -225px;
  top: -64px;
  width: 30px;
}

.gift_icon_container i {
  font-size: 25px;
  color: #e0a819;
}
